hadoop-yarn-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Sunil G (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (YARN-6336) Jenkins report YARN new UI build failure
Date Wed, 15 Mar 2017 05:17:41 GMT

     [ https://issues.apache.org/jira/browse/YARN-6336?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Sunil G updated YARN-6336:
--------------------------
    Attachment: YARN-6336.0001.patch

It seems an underlying dependency change happened in ember and yarn-ui was using a deprecated
ember version.
Now this patch ensures that we use latest patch for node,npm and ember.

> Jenkins report YARN new UI build failure 
> -----------------------------------------
>
>                 Key: YARN-6336
>                 URL: https://issues.apache.org/jira/browse/YARN-6336
>             Project: Hadoop YARN
>          Issue Type: Bug
>            Reporter: Junping Du
>            Assignee: Sunil G
>            Priority: Blocker
>         Attachments: YARN-6336.0001.patch
>
>
> In Jenkins report of YARN-6313 (https://builds.apache.org/job/PreCommit-YARN-Build/15260/artifact/patchprocess/patch-compile-hadoop-yarn-project_hadoop-yarn.txt),
we found following build failure due to YARN new UI:
> {noformat}
> /testptch/hadoop/hadoop-yarn-project/hadoop-yarn/hadoop-yarn-ui/target/src/main/webapp/node_modules/ember-cli-htmlbars/node_modules/broccoli-persistent-filter/node_modules/async-disk-cache/node_modules/username/index.js:2
> const os = require('os');
> ^^^^^
> Use of const in strict mode.
> SyntaxError: Use of const in strict mode.
>     at Module._compile (module.js:439:25)
>     at Object.Module._extensions..js (module.js:474:10)
>     at Module.load (module.js:356:32)
>     at Function.Module._load (module.js:312:12)
>     at Module.require (module.js:364:17)
>     at require (module.js:380:17)
>     at Object.<anonymous> (/testptch/hadoop/hadoop-yarn-project/hadoop-yarn/hadoop-yarn-ui/target/src/main/webapp/node_modules/ember-cli-htmlbars/node_modules/broccoli-persistent-filter/node_modules/async-disk-cache/index.js:24:16)
>     at Module._compile (module.js:456:26)
>     at Object.Module._extensions..js (module.js:474:10)
>     at Module.load (module.js:356:32)
> DEPRECATION: Node v0.10.25 is no longer supported by Ember CLI. Please update to a more
recent version of Node
> undefined
> version: 1.13.15
> Could not find watchman, falling back to NodeWatcher for file system events.
> Visit http://www.ember-cli.com/user-guide/#watchman for more info.
> Building[INFO] ------------------------------------------------------------------------
> {noformat}



--
This message was sent by Atlassian JIRA
(v6.3.15#6346)

---------------------------------------------------------------------
To unsubscribe, e-mail: yarn-issues-unsubscribe@hadoop.apache.org
For additional commands, e-mail: yarn-issues-help@hadoop.apache.org


Mime
View raw message